# BEGIN SourceDeps(oneline):
BuildRequires: perl-devel perl-podlators
# END SourceDeps(oneline)
Name:           perl-threads-lite
Version:        0.032
Release:        alt1_1
Summary:        Actor model threading for Perl
License:        GPL+ or Artistic
Group:          Development/Perl
URL:            http://search.cpan.org/dist/threads-lite/
Source0:        http://www.cpan.org/authors/id/L/LE/LEONT/threads-lite-%{version}.tar.gz
BuildRequires:  perl
BuildRequires:  perl(Config.pm)
BuildRequires:  perl(ExtUtils/CBuilder.pm)
BuildRequires:  perl(Module/Build.pm)
BuildRequires:  perl(strict.pm)
BuildRequires:  perl(warnings.pm)
# Run-time:
BuildRequires:  perl(Carp.pm)
BuildRequires:  perl(constant.pm)
BuildRequires:  perl(Exporter.pm)
BuildRequires:  perl(feature.pm)
BuildRequires:  perl(overload.pm)
BuildRequires:  perl(Scalar/Util.pm)
BuildRequires:  perl(Storable.pm)
BuildRequires:  perl(XSLoader.pm)
# Tests:
BuildRequires:  perl(Test/Differences.pm)
BuildRequires:  perl(Test/Exception.pm)
BuildRequires:  perl(Test/More.pm)
BuildRequires:  perl(Time/HiRes.pm)


Source44: import.info

%description
This module implements threads for perl. One crucial difference with
threads.pm threads is that the threads are disconnected, except by message
queues. It thus facilitates a message passing style of multi-threading.

%prep
%setup -q -n threads-lite-%{version}

%build
perl Build.PL --install_path bindoc=%_man1dir installdirs=vendor optimize="$RPM_OPT_FLAGS"
./Build

%install
./Build install destdir=$RPM_BUILD_ROOT create_packlist=0
find $RPM_BUILD_ROOT -type f -name '*.bs' -size 0 -exec rm -f {} \;
# %{_fixperms} $RPM_BUILD_ROOT/*

%check
%ifnarch ppc
./Build test
%endif

%files
%doc Changes examples LICENSE README
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/threads*

%changelog
* Mon Mar 04 2013 Igor Vlasenko <viy@altlinux.ru> 0.032-alt1_1
- update to new release by fcimport

* Mon Sep 10 2012 Cronbuild Service <cronbuild@altlinux.org> 0.031-alt3_8
- rebuild with new perl

* Tue Jul 31 2012 Igor Vlasenko <viy@altlinux.ru> 0.031-alt2_8
- update to new release by fcimport

* Fri May 25 2012 Igor Vlasenko <viy@altlinux.ru> 0.031-alt2_6
- fc import

* Thu May 24 2012 Igor Vlasenko <viy@altlinux.ru> 0.031-alt1_6
- fc import

